Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/undefSTD.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/undefSTD.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/undefSTD.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       SUBROUTINE undefSTD(nlevSTD,itap,tlevSTD,
@@ -13,5 +13,5 @@
 c I. Musat : 09.2004
 c
-c Calcul * du nombre de pas de temps (FLOAT(ecrit_XXX)-tnondef)) 
+c Calcul * du nombre de pas de temps (REAL(ecrit_XXX)-tnondef)) 
 c          ou la variable tlevSTD est bien definie (.NE.1.E+20), 
 c et 
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/write_histISCCP.h
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/write_histISCCP.h	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/write_histISCCP.h	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       IF (ok_isccp) THEN
@@ -77,5 +77,5 @@
      .                 meantaucld(:,n))
 c
-        zx_tmp_fi2d(1:klon)=float(seed(1:klon,n))
+        zx_tmp_fi2d(1:klon)=REAL(seed(1:klon,n))
 c
 c       print*,'n=',n,' write_ISCCP avant seed'
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/yamada4.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/yamada4.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/yamada4.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       SUBROUTINE yamada4(ngrid,dt,g,rconst,plev,temp
@@ -106,4 +106,8 @@
 c$OMP THREADPRIVATE(rino,smyam,styam,lyam,knyam,w2yam,t2yam)
       logical,save :: firstcall=.true.
+
+      character (len=20) :: modname='yamada4'
+      character (len=80) :: abort_message
+
 c$OMP THREADPRIVATE(firstcall)       
       frif(ri)=0.6588*(ri+0.1776-sqrt(ri*ri-0.3221*ri+0.03156))
@@ -128,5 +132,6 @@
 
       if (.not.(iflag_pbl.ge.6.and.iflag_pbl.le.9)) then
-           stop'probleme de coherence dans appel a MY'
+              abort_message = 'probleme de coherence dans appel a MY'
+              CALL abort_gcm (modname,abort_message,1)
       endif
 
